{{ ansible_managed | comment }}

file.way4.auth.path=
file.way4.auth.processed=
file.way4.auth.scanDelay=
file.way4.card.path=
file.way4.card.processed=
file.way4.card.scanDelay=
file.way4.term.path=
file.way4.term.processed=
file.way4.term.scanDelay=
config.enableCache=true

config.cacheCommitBatchSize=800
config.persistenceBatchSize=1000

#Num of operations in memory
cache.fraudTran.size=200000
cache.fraudTran.enabled=true

#for matching node set LOCAL
cache.fraudTran.replicationMode=LOCAL
cache.fraudTran.clearing.threshold=10000
cache.contactAttribute.enabled=true
cache.fraudList.enabled=true
cache.fraudList.preload=true
cache.fraudList.cacheReadBatchSize=
cache.additionalList.enabled=true
cache.additionalList.preload=true
cache.blackList.enabled=true
cache.privateScheme.enabled=true
cache.whiteList.enabled=true
cache.reaction.enabled=true
cache.fraudListDescription.enabled=true
cache.currencyRate.enabled=true
cache.counter.enabled=true
cache.historyIndex.enabled=true
cache.historyIndex.cacheReadBatchSize=
cache.event.enabled=true
cache.event.size=400000
cache.attributeCheckedCache.enabled=true
cache.attributeGroup.enabled=true
cache.limitFormula.enabled=true
cache.limitExpressionThreshold.enabled=true
cache.limitThreshold.enabled=true
cache.countryCode.enabled=true
cache.limitNodes.replicationMode=LOCAL
cache.ratio.enabled=true
cache.limitNodes.minExpireTime=7200000
cache.limitNodes.borderExpireTime=
cache.limitNodes.cacheReadBatchSize=
cache.historyIndex.preloadEnabled=false
cache.additionalList.size=10000000
cache.fraudList.size=1000000


filter.useConstantFilter=true

#num of threads for processing transactions
config.threadPoolSize=20
config.limit.threadPoolSize=128

#in days
config.profileCalculateDateRange=180

#num of threads for calculating of scoring profiles
#remove expired scoring data ?
config.removeOldData=true
config.transaction.timeout=10
iso.listenResponseQueue=true
iso.outgoingQueueName=jms/svwi/SvfeQueue
iso.queueConnectionFactory=jms/svwi/SvfeConnectionFactory
iso.protocol.custom={{ fm_home }}/conf/isoconf
iso.coder=BINARY
iso.requests=1420,1400,1421,1100,1120,1121,1200,1220,1600,1201,1644,1240,1442,1740
iso.requests.online=1420,1400,1421,1100,1120,1121,1200,1220,1600,1201
iso.requests.nearonline=1120
iso.requests.offline=1644,1240,1442,1740
iso.echo.field12Enabled=true
iso.validation.enabled=false
iso.validation.outgoing.enabled=false
#if current transaction for parameter less then transaction border then do not check this parameter
config.transactionBorder=0
config.profilerEnabled=false
config.fraudActions = {{ fm_home }}/conf/fraudConfiguration.xml

# ibm mq integration
# spring.profiles.active=mqEmlTransport
spring.profiles.active={{ fm_spring_profiles_active }}
#mls delay between two sending transaction by transaction service

# Statistic profile
cache.entityProfile.enabled=true
profile.recalculate.oper.bulkSize=5000
profile.recalculate.bulkSize=5
profile.complex.operationPerTaskLimit=5000
profile.update.bulkSize=1000
profile.sleepIntervalSec=5
config.nearOnlineProfilerEnabled=true

# MQ
mq.host={{ mq_host|default('localhost') }}
mq.outPort=2002
mq.inPort=2003
mq.codePage=1
mq.channel=SYSTEM.DEF.SVRCONN
mq.outQueueManagerName=sb1
mq.inQueueManagerName=sb2
mq.outQueueName=sb1
mq.inQueueName=sb2

# MQ EML (ibm mq integration)
mq.eml.host=127.0.0.1
mq.eml.outPort=1414
mq.eml.inPort=1414
mq.eml.channel=
mq.eml.outQueueManagerName=QM_
mq.eml.inQueueManagerName=QM_
mq.eml.outQueueName=out
mq.eml.inQueueName=in
mq.eml.login=
mq.eml.password=

transaction.timeout=10000

{% if fm_resp_code -%}
respCode.ok=000
respCode.blackListCode=006
respCode.duplicateCode=004
respCode.fraudErrorCode=005
respCode.statisticErrorCode=248
respCode.suspendFraudBlockErrorCode=245
respCode.suspendFraudErrorCode=246
respCode.whiteListErrorCode=007
respCode.fraudBusy=008
respCode.formatError=009
respCode.disabled=010
respCode.onlineTransInNearOnlineInterfaceErrorCode=011
respCode.nearOnlineTransInOnlineInterfaceErrorCode=012
{% endif %}
respCode.skipAnswerCodeList=


disruptor.bufferSize=8192
ruleefficiency.enabled=false
ruleefficiency.accumulationtime=60
ruleefficiency.level=AVERAGE
fileprocessing.rate=300
dbsync.rate=3600
alert.createForBlackList=true
alert.createForWhiteList=true


{#alert.createForBlackList=true#}
{#alert.createForWhiteList=true#}

sms.queueName=jms/svwi/CommandQueue
skip.attrsList=[]
jvm.type=ORACLE

cluster.name=fraudCluster
cluster.nodeId=fraudNode1
#java:comp/env/jdbc/svwi/xmlgate for tomcat
databaseJndiName=java:/comp/env/jdbc/svwi/xmlgate
databasePlatform=org.eclipse.persistence.platform.database.OraclePlatform

#renamed property answerOnAdvice;property priority 1.answerOnAdviceAfterRuleCheck 2. answerOnAdvice
checkRulesForAdvice=false

answerOnAdviceAfterRuleCheck=true
netty.boss=1
netty.worker=4
netty.nodePortNumber=8888
duplicate.respFromOrigTrans=true
netty.heartbeat.on=true
netty.heartbeat.maxAttemptsFailed=5
netty.readerIdleTime=0
netty.writeIdleTime=0
netty.allIdleTime=20
mti.system=0800
ps.system=7013
restProcessing.rateInMinutes=1440


checkDuplicate.excludeMonitorDataValues=1,2
msgtype.auth={{ fm_msgtype_auth }}
msgtype.advice={{ fm_msgtype_advice }}
msgtype.reversal=1420,1421
msgtype.distributable=0110,0410,0400,1400,1110,1410
transaction.activity.refresh.rate=10
transaction.activity.history.refresh.rate=3600
quartz.isClustered=true
org.quartz.threadPool.threadCount=5

#in seconds
protobuf.saf.repeatInterval=60
protobuf.saf.fetchSize=500
protobuf.maxFrameLength=10240
protobuf.lengthFieldLength=4
#in milliseconds
protobuf.saf.delayAfterMessage=10


siom.mode=1
siom.outputDir=siom



matcher.riskManagementService.confirmation.transBatchSize=10000
matcher.odpt.msgconfdir=
matcher.inputDir=
matcher.proceededDir=
matcher.networkId.mir=0001

matcher.mc.msgconfdir=
matcher.inputDir.mc=
matcher.proceededDir.mc=
matcher.networkId.mc=0006

matcher.visa.msgconf=
matcher.inputDir.visa=
matcher.proceededDir.visa=
matcher.networkId.visa=0007

cache.backupOperation.maxSize=100000
global.command.cluster.name=GlobalCommandFMCluster

queue.default.threshold=100000

locking.limit.processing=false

investigateCaseActionJob.repeatIntervalInSeconds=10
investigateCaseActionJob.batchSize=1000

processSuspendedTransactionJob.repeatIntervalInSeconds=60

rabbitMQ.enabled=false
rabbitMQ.addresses=localhost:5672
rabbitMQ.username=test
rabbitMQ.password={{ fm_rabbitmq_password }}

ibm.mq.enabled=false
ibm.mq.queueManager=QM1
ibm.mq.channel=DEV.ADMIN.SVRCONN
ibm.mq.connName=127.0.0.1(1414)
ibm.mq.user=admin
ibm.mq.password=passw0rd

approbation.enabled=true

transaction.validation.enabled=false
config.psd2.enabled=true

json.request.timeout={{ fm_json_request_timeout|default(5000) }}
